# CDDL HEADER START
#
# The contents of this file are subject to the terms of the
# Common Development and Distribution License, Version 1.0 only
# (the "License"). You may not use this file except in compliance
# with the License.
#
# You can obtain a copy of the license at license/ESCIDOC.LICENSE
# or http://www.escidoc.de/license.
# See the License for the specific language governing permissions
# and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each
# file and include the License file at license/ESCIDOC.LICENSE.
# If applicable, add the following below this CDDL HEADER, with the
# fields enclosed by brackets "[]" replaced with your own identifying
# information: Portions Copyright [yyyy] [name of copyright owner]
#
# CDDL HEADER END
#
#
# Copyright 2006-2011 Fachinformationszentrum Karlsruhe Gesellschaft
# für wissenschaftlich-technische Information mbH and Max-Planck-
# Gesellschaft zur Förderung der Wissenschaft e.V.
# All rights reserved. Use is subject to license terms.

# Flag to disable the GUI-entry points for UC_PM_SR_03 do advanced search

# URL of this PubMan instance
escidoc.pubman.instance.url=http://localhost:8080
escidoc.pubman.item.pattern=/viewItemPage.jsp?itemId=$1
escidoc.pubman.component.pattern=/viewComponentPage.jsp?componentId=$1

# URL of the FIZ framework instance
escidoc.framework_access.framework.url=http://dev-coreservice.mpdl.mpg.de

# URL of the escidoc-core instance you like to logon to
escidoc.framework_access.login.url=http://dev-coreservice.mpdl.mpg.de

# Identifier of the content type "publication" in the actual framework instance
escidoc.framework_access.content-model.id.publication=escidoc:persistent4


# Due to a historical defect, QName was released with multiple 
# serialVersionUID values even though its serialization was the
# same.
# To workaround this issue, serialVersionUID is set with either
# a default value or a compatibility value.  To use the
# compatibility value you have to set the following property to "1.0".
com.sun.xml.namespace.QName.useCompatibleSerialVersionUID=1.0

# RE Pattern for retrieving determinators from item xml
escidoc.content.model.pattern=:content-model (?:objid=\"|xlink:href=\"/cmm/content-model/)?([^\"]*)\"
escidoc.context.pattern=:context (?:objid=\"|xlink:href=\"/ir/context/)?([^\"]*)\"

# Used for validation initialization
framework.admin.username=sysadmin
framework.admin.password=sysadminpwd

# db settings
db.superuser.login=${db.superuser.login}
db.superuser.password=${db.superuser.password}

# eSciDoc-ObjId of the external Organisation
escidoc.pubman.external.organisation.id=escidoc:persistent22

# CoNE service URL
escidoc.cone.service.url=http://localhost:8080/cone/

# COntrol of Named Entities database interface class
escidoc.cone.querier.class=de.mpg.escidoc.services.cone.SQLQuerier

# Mulgara server name
escidoc.cone.mulgara.server.name=localhost

# Mulgara server port
escidoc.cone.mulgara.server.port=9099

# CoNE default language abbreviation
escidoc.cone.language.default=en

# CoNE database configuration
escidoc.cone.database.driver.class=org.postgresql.Driver
escidoc.cone.database.server.name=localhost
escidoc.cone.database.server.port=5432
escidoc.cone.database.name=cone
escidoc.cone.database.user.name=myuser
escidoc.cone.database.user.password=mypassword

#CoNE Maximum number of returned result sets
escidoc.cone.maximum.results=50

# CoNE default language abbreviation
escidoc.cone.rdf.path=c:/temp/projects/common_services/cone_presentation/src/main/resources/

#Path to the model.xml file
escidoc.cone.modelsxml.path=models.xml

# URL for stylesheets in common-presentation
escidoc.common.presentation.url=http://localhost:8080/common/

# Properties for common standard theme
escidoc.common.stylesheet.standard.url=/common/resources/cssFramework/themes/skin_MPG/styles/theme.css
escidoc.common.stylesheet.standard.type=stylesheet
escidoc.common.stylesheet.standard.apply=true

# Properties for common contrast theme
escidoc.common.stylesheet.contrast.url=/common/resources/cssFramework/themes/skin_highContrast/styles/theme.css
escidoc.common.stylesheet.contrast.type=alternate stylesheet
escidoc.common.stylesheet.contrast.apply=true

# Properties for common classic theme
escidoc.common.stylesheet.classic.url=/common/resources/cssFramework/themes/skin_classic/styles/theme.css
escidoc.common.stylesheet.classic.type=alternate stylesheet
escidoc.common.stylesheet.classic.apply=true

# AA
escidoc.aa.instance.url=http://localhost:8080/auth/
escidoc.aa.default.target=http://localhost:8080/auth/clientLogin
escidoc.aa.public.key.file=public.key
escidoc.aa.private.key.file=private.key

escidoc.aa.config.file=conf.xml
escidoc.aa.ip.table=ips.xml

#escidoc.aa.client.class=de.mpg.escidoc.services.aa.web.client.IpAaClient
escidoc.aa.client.start.class=de.mpg.escidoc.services.aa.web.client.EscidocAaClientStart
escidoc.aa.client.finish.class=de.mpg.escidoc.services.aa.web.client.EscidocAaClientFinish